Bug 1804179 - [RHOCP4.3] Creation of prometheus failed with creationTimestamp: Invalid value: "null" error.
Summary: [RHOCP4.3] Creation of prometheus failed with creationTimestamp: Invalid valu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-18 12:17 UTC by Sergiusz Urbaniak
Modified: 2020-05-13 21:59 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:59:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 657 None closed Bug 1804179: pkg/client: set CreationTimestamp at create time, not only at update time 2020-11-03 07:29:54 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:59:07 UTC

Comment 3 Junqi Zhao 2020-02-26 11:38:32 UTC
Tested with 4.4.0-0.nightly-2020-02-23-191320, in order to create PVC before Prometheus, do
# while true; do oc -n openshift-monitoring delete prometheus/k8s; done

then use cluster-monitoring-config configmap to create PVCs, after all the PVCs are created, stop the first command, check the cluster-monitoring-operator pod's log, there is not "sync "openshift-monitoring/cluster-monitoring-config" failed: running task Updating Prometheus-k8s failed: reconciling Prometheus object failed: creating Prometheus object failed: Prometheus.monitoring.coreos.com "k8s" is invalid: spec.storage.volumeClaimTemplate.metadata.creationTimestamp: Invalid value: "null": spec.storage.volumeClaimTemplate.metadata.creationTimestamp in body must be of type string: "null" " error and the prometheus resource is created 
# oc -n openshift-monitoring get prometheus/k8s

Comment 5 errata-xmlrpc 2020-05-13 21:59:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.